Summary:	GNU's bc (a numeric processing language) and dc (a calculator)
Name:		bc
Version:	1.07.1
Release:	%mkrel 8
License:	GPLv2+
Group:		Sciences/Mathematics
URL:		https://www.gnu.org/software/bc/bc.html
Source:		https://ftp.gnu.org/gnu/bc/%{name}-%{version}.tar.gz
# Fedora patches
# dc accepts the input which contains wrong symbols of radix in same way like bc (RH bug#151844)
Patch1:		bc-1.06-dc_ibase.patch
BuildRequires:	flex
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)
BuildRequires:	texinfo
BuildRequires:	bison
BuildRequires:	ed

%description
The bc package includes bc and dc.  Bc is an arbitrary precision numeric
processing arithmetic language.  Dc is an interactive arbitrary precision
stack based calculator, which can be used as a text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
%autosetup -p1

%build
%configure --with-readline
%make_build

%install
%make_install

%files
%doc FAQ AUTHORS NEWS README
%license COPYING*
%{_bindir}/bc
%{_bindir}/dc
%{_mandir}/man1/bc.1*
%{_mandir}/man1/dc.1*
%{_infodir}/bc.info*
%{_infodir}/dc.info*


%changelog
* Fri Apr 05 2024 wally <wally> 1.07.1-8.mga10
+ Revision: 2054587
- basesystem rebuild for i686

* Thu Jan 12 2023 daviddavid <daviddavid> 1.07.1-7.mga9
+ Revision: 1932667
- use %%make_install macro and switch to pkgconfig()

* Fri Mar 18 2022 umeabot <umeabot> 1.07.1-6.mga9
+ Revision: 1797758
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 1.07.1-5.mga8
+ Revision: 1542025
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1.07.1-4.mga8
+ Revision: 1475934
- rebuild for readline

* Fri Sep 21 2018 umeabot <umeabot> 1.07.1-3.mga7
+ Revision: 1295349
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 1.07.1-2.mga7
+ Revision: 1256423
- rely on filetriggers for info system (mga#23482)

* Sat Oct 21 2017 mjack <mjack> 1.07.1-1.mga7
+ Revision: 1172948
- Added BR: ed, required for successful building
- Deleted the patch applied by upstream
- Updated to version 1.07.1
- Removed patches already applied by upstream

* Mon Feb 08 2016 umeabot <umeabot> 1.06.95-8.mga6
+ Revision: 942821
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.06.95-7.mga5
+ Revision: 738788
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.06.95-6.mga5
+ Revision: 678126
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.06.95-5.mga4
+ Revision: 503081
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.06.95-4.mga3
+ Revision: 346879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 blino <blino> 1.06.95-3.mga3
+ Revision: 259423
- rebuild to get info pages as xz instead of lzma

* Sat Jan 08 2011 blino <blino> 1.06.95-2.mga1
+ Revision: 728
- imported package bc


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.06.95-2mdv2011.0
+ Revision: 603756
- rebuild

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.06.95-1mdv2010.1
+ Revision: 462171
- Fix BuildRequires
- Update to new alpha version 1.06.95 (also used by most other distros)
- Remove patches integrated upstream
- Include 2 Fedora/Gentoo patches (fix small memleak, make dc accept
  input which contains wrong symbols of radix in same way like bc)
- SPEC file clean-ups, fix license

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.06-26mdv2010.0
+ Revision: 413155
- rebuild

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 1.06-25mdv2009.1
+ Revision: 344791
- rebuild for new libreadline

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 1.06-24mdv2009.1
+ Revision: 316185
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.06-23mdv2009.0
+ Revision: 220477
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.06-22mdv2008.1
+ Revision: 148915
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1.06-21mdv2008.0
+ Revision: 69908
- kill file require on info-install


* Wed Jan 10 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.06-20mdv2007.0
+ Revision: 107132
- cope with new flex

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.06-19mdv2007.0
- Rebuild

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.06-18mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.06-17mdk
- Rebuild

* Fri Aug 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.06-16mdk
- fix rpmlint errors (PreReq)

* Fri Aug 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.06-15mdk
- fix rpmlint errors (PreReq)

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.06-14mdk
- rebuild for new readline
- fix summary-ended-with-dot

* Sat May 08 2004 Robert Vojta <robert.vojta@mandrake.cz> 1.06-13mdk
- last change reverted - do not change default behavior of these tools!

* Thu May 06 2004 Erwan velu <erwan@mandrakesoft.com> 1.06-12mdk
- Adding alias to run bc in math mode. (1 / 2) will give 0.5 as result and not 0 !

